Subject: vmalloc issue on mpc8378

From: Robert Benea <[email-masked]>
Date: Mon, 13 Jul 2009 12:00:26 -0700 (PDT)

I have an mpc8378 system with 512MB ram and 256MB flash (NOR). When I start the system I get the infamous message vmalloc failure. If I do cat /proc/meminfo I can see that I have only 212MB of VMALLOC space. 

I tried the advanced options and change the KERNEL_START to 0xb0000000 (instead of 0xc0000000), however after doing that the system became unstable with crashes left and right. 

The current work around is to set the command line mem=400M, however I like to use the whole RAM. What are the possible culprits that made my system unstable when making the KERNEL address space larger ?. Can it be because of PCIEs devices, I see that the PCIE memory is mapped to 0xa000000/0xc0000000.

Regards,
R.